%define name idesk
%define version 0.7.5
%define release %mkrel 9

Version: 	%{version}
Summary: 	Plops icons on your root window
Name: 		%{name}
Release: 	%{release}
License: 	GPL
Group: 		Graphical desktop/Fluxbox
Source: 	%{name}-%{version}.tar.xz
Source1:	Firefox.lnk
Source2:	Idesk_Config.lnk
Source3:	PCLinuxOS_Control_Center.lnk
Source4:	Synaptic.lnk
Source5:	Terminal.lnk
Source6:	Thunderbird.lnk
Source7:	default.lnk
Source8:	folder_home.png
Source9:	dot.ideskrc
Patch0:		idesk-0.7.5-fix-fork.patch
Patch1:		idesk-0.7.5-invert-glowing.patch
Patch2:		idesk-0.7.5-restart-on-SIGHUP.patch
Patch4:		20-sys-stat.patch
URL: 		http://idesk.sourceforge.net/
BuildRequires:	imlib2-devel gtk2-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  startup-notification-devel
Requires:       glibc >= 2.16
Requires:       libstdc++6 >= 4.7.2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Obsoletes:	%name < %version

%description
iDesk gives users of minimal wm's (fluxbox, pekwm, windowmaker...) icons on
their desktop. The icon graphics are either from a png or svg (vector) file
and support some eyecandy effects like transparency. Each icon can be
configured to run one or more shell commands and the actions which run
those commands are completely configurable.
In a nutshell if you want icons on your desktop and you don't have or don't
want KDE or gnome doing it, you can use idesk.


%prep

%setup -q
%{__perl} -pi.orig -e 's|/usr/local/share|%_datadir|g;' examples/default.lnk
%apply_patches


%build
%configure2_5x --enable-libsn

%make


%install
%__rm -rf %buildroot
%makeinstall

install -m 0644 %SOURCE1 %buildroot/%_datadir/idesk/
#install -m 0644 %SOURCE2 %buildroot/%_datadir/idesk/
install -m 0644 %SOURCE3 %buildroot/%_datadir/idesk/
install -m 0644 %SOURCE4 %buildroot/%_datadir/idesk/
install -m 0644 %SOURCE5 %buildroot/%_datadir/idesk/
install -m 0644 %SOURCE6 %buildroot/%_datadir/idesk/
install -m 0644 %SOURCE7 %buildroot/%_datadir/idesk/
install -m 0644 %SOURCE8 %buildroot/%_datadir/idesk/
install -m 0644 %SOURCE9 %buildroot/%_datadir/idesk/

%clean
%__rm -rf %buildroot


%posttrans
#create .idesktop in users home folder
SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= mkdir -p /home/$idx/.idesktop; done

#copy desktop links to users home folder
SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= cp -af %_datadir/idesk/* /home/$idx/.idesktop; done

#chown the users folder and files
SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= chown -R "$idx:$idx" /home/$idx/.idesktop; done

#Rootie Tootie
if [ -d /root/.idesktop ]; then echo ""; else mkdir -p /root/.idesktop; fi;
cp -af %_datadir/idesk/* /root/.idesktop

%postun
SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
do INP1= rm -rf /home/$idx/.idesktop; done

#root
rm -rf /root/.idesktop

%files
%defattr (-,root,root)
%doc README AUTHORS ChangeLog COPYING NEWS TODO
%{_bindir}/*
%{_datadir}/%{name}/



%changelog
* Mon Jul 15 2013 Texstar <texstar at gmail.com> 0.7.5-9pclos2013
- update package

* Sat Nov 13 2010 Texstar <texstar at gmail.com> 0.7.5-8pclos2010
- rebuild for new gtk2 libs
- convert source to tar.xz

* Mon Oct 05 2009 Neal <nealbrks0@gmail.com> 0.7.5-7pclos2010
- gcc update

* Sun May 31 2009 Texstar <texstar@gmail.com> 0.7.5-6pclos2009
- add desktop icons for fluxbox

* Thu May 21 2009 Texstar <texstar@gmail.com> 0.7.5-5pclos2009
- fix post script for root

* Wed May 20 2009 Texstar <texstar@gmail.com> 0.7.5-4pclos2009
- add .idesktop folder at installl into users home folder

* Wed May 20 2009 Texstar <texstar@gmail.com> 0.7.5-3pclos2009
- apply patches

